SUSPENDSCHED(9) | Kernel Developer's Manual | SUSPENDSCHED(9)

# NAME

`suspendsched` —
suspend the scheduler

# SYNOPSIS

`#include <sys/proc.h>`
`#include <sys/sched.h>`

void
`suspendsched`(void);

# DESCRIPTION

The `suspendsched`() function suspends the operation of the scheduler by stopping all non-system processes which are on the run queue or the sleep queue.

The `suspendsched`() function must not be called with the scheduler lock held.

September 21, 2002 | NetBSD 9.5